PHP加密 - 首页 - 技术文章

如何安装,PHP扩展加密组件?

发布时间:2015-01-09 00:12:42

本套扩展程序必须工作在:FASTCGI模式,不能工作在ISAPI模式,切记!

对于THINKPHP ,请选择NTS 版本,否则工作不正常!

WIN2003的用户,可以先安装:fcgisetup_1.5_rtw_x86.msi,然后开启CGI 模式。

选择适合的PHP版本,下载扩展组件,如下图:



1、如何区分版本?

比如下载:PHP5.3版本。在这里教大家一个最简单的办法来区分TS以及NTS版本。您的PHP目录中,有PHP5.DLL 一般来说则是NTS(非线程保护版本),如果是PHP5TS.DLL(线程保护版本)。我们来下载PHP5.3版,非线程保护,得到文件名为:php_jiami_53.dll 文件。

2、如何找到PHP.INI来安装?

将此文件放到PHP程序目录中的EXT 目录中,然后修改PHP.INI文件(部份PHP5.2版本的PHP.INI 文件在C:\windows目录中,您也可以通过PHPINFO来查看PHP.INI的位置)。添加代码:extension=php_jiami_53.dll 如下图,即可完成安装。


3、如何判断成功安装?

安装完成后,通过PHPINFO可以查看到安装的扩展信息。<?php phpinfo();?>,如下图:


4、如何安装失败,显示500错误,或如下图,可以通过命令行方式来验证。



在PHP所在目录中,执行:php.exe -c php.ini  查看命令行返回消息,如下图:



出现:MD5 error,的出错消息,说明您使用的PHP版本非官方认证版本,您可以考虑更换PHP版本,为了保证系统稳定性、系统的安全建议您使用官方发布编译的PHP版本。


点击这里给我发消息

扫一扫关注我们

• 客服QQ:点击这里给我发消息

• 邮箱:416175#qq.com

• 辽ICP备14018579号

• Copyright 2015 PHP加密(PhpJiaMi.Com)